/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, {Component} from 'react';
import {Row, Col, Container} from 'react-grid-system';
import eduConectada from '../img/educa-conectada.png';
import styled from 'styled-components';

const blueFooter={
  backgroundColor: "#00bcd4",
  color: "white",
  display: "block",
  paddingTop: "2em",
  paddingBottom: "2em",
  verticalAlign: "bottom",
}
const listStyle={
  listStyleType: "none",
  fontSize: "80%",
  padding: "0",
  lineHeight: "1.6",
}
const WhiteLink = styled.a`
	text-decoration: none;
	color: white;
`

class EcFooter extends Component{
  render(){
    return(
      <div style={blueFooter}>
        <Container>
        <Row>
        <Col md={4} sm={5} xs={5}>
          <h4>Sobre</h4>
          <ul style={listStyle}>
            <li> <WhiteLink href="sobre">Sobre a Plataforma</WhiteLink> </li>
            <li> <WhiteLink href="sobre#portaisparceiros">Portais Parceiros</WhiteLink> </li>
            <li> <WhiteLink href="termos">Termos de Uso</WhiteLink> </li>
            <li> <WhiteLink href="contato">Contato</WhiteLink> </li>
          </ul>
        </Col>
        <Col md={4} sm={5} xs={5}>
          <h4>Ajuda</h4>
          <ul style={listStyle}>
            <li>    <WhiteLink href="ajuda">Central de Ajuda</WhiteLink> </li>
            <li>    <WhiteLink href="publicando-recurso">Publicando Recursos</WhiteLink> </li>
            <li>    <WhiteLink href="encontrando-recurso">Encontrando Recursos</WhiteLink> </li>
            <li>    <WhiteLink href="participando-da-rede">Participando da Rede</WhiteLink> </li>
            <li>    <WhiteLink href="gerenciando-conta">Gerenciando a Conta</WhiteLink> </li>
          </ul>
        </Col>
        <Col md={4} sm={12} xs={12}>
          <img src={eduConectada} height="50%" alt="logo educação conectada"/>
        </Col>
        </Row>
        </Container>
      </div>
    )
  }
}
export default EcFooter;
