
//fieldName : form field name
//userInput : user input for a given field
//confirmation :  optional password confirmation argument
export default function ValidateUserInput (fieldName, userInput, confirmation) {
    let flag = false

    switch(fieldName) {
        case('username'):
            if (userInput.length < 1) {
                flag = true
            }
            break;
        case('email'):
            if(userInput.length < 7 || !(userInput.match(/^([\w.%+-]+)@([\w-]+\.)+([\w]{2,})$/i))) {
                flag = true
            }
            break;
        case('password'):
            if (userInput.length < 8) {
                flag = true
            }
            break;
        case('confirmation'):
            if (userInput !== confirmation) {
                flag = true
            }
            break;
        case('message'):
            if(userInput.length === 0) {
                flag = true
            }
            break;
        case('aboutMe'):
            if(userInput.length > 160) {
                flag = true
            }
            break;
        default:
            break;
    }

    return flag
}
