/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from "react";
import styled from "styled-components";
import ParticipandoRede from "../../../img/ajuda/Participando_da_rede.png";

import { Link } from "react-router-dom";

export default function CardParticipando(props) {
  return (
    <CardAjuda>
      <div className="card">
        <img src={ParticipandoRede} alt="" />
        <h3>Participando da Rede</h3>
        <hr />
        <Link
          to={{
            pathname: "participando-da-rede",
            state: { value: "0" }
          }}
        >
          Comentanto os recursos
        </Link>
        <br />
        <Link
          to={{
            pathname: "participando-da-rede",
            state: { value: "1" }
          }}
        >
          Como relatar uma experiência ou avaliar um recurso?
        </Link>
        <br />
      </div>
      <div className="card-rodape">
        <Link
          to={{
            pathname: "participando-da-rede",
            state: { value: "0" }
          }}
        >
          VER MAIS
        </Link>
      </div>
    </CardAjuda>
  );
}

const CardAjuda = styled.div`

  height: 360px;
  margin-bottom: 20px;


  .card {
    height: 280px;
    padding: 40px 15px;
    text-align: center;
    font-size: 14px;
    background-color:#fff;
    box-shadow: 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);

    h3 {
      font-size: 23px;
      font-weight: 400;
      color: #666;
      margin-top: 20px;
      margin-bottom: 10px;
      line-height: 1.1;
    }

    hr {
      margin-top: 20px;
      margin-bottom: 20px;
      border: 0;
      border-top: 1px solid #eee;
      color: #a5a5a5;
    }

    a {
      font-size: 15px;
      color: #666;
      text-decoration: none;
      text-align: center;
      :hover {
        color: #000;
      }

    }

    img {
      height: 62px ;
      width: 62px ;
    }

  }

  .card-rodape {
    box-sizing: border-box;

    a {
      border-radius: 0;
      width: 100%;
      font-size: 13px;
      font-weight: 700;
      color: #fff;
      transition: .2s ease;
      border: none;
      height: 40px;
      line-height: 40px;
      background-color: #00bcd4;
      touch-action: manipulation;
      cursor: pointer;
      text-decoration: none;
      display: inline-block;
      margin-bottom: 0;
      text-align: center;
      white-space: nowrap;
      vertical-align: middle;
      touch-action: manipulation;
      cursor: pointer;
      user-select: none;
      box-shadow: 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);

    }
  }

}

`;
