/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from "react";
import styled from "styled-components";

export default function Understand(props) {
  return (
    <Card>
      <link
        href="https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap"
        rel="stylesheet"
      />
      <div style={{ marginBottom: "9px" }}>
        <span>{props.title}</span>
      </div>
      <p>
        <strong>Área de Recursos Educacionais Digitais</strong>
        <br />
        Recursos que, no mínimo, têm uma licença de uso mais flexível. Uma
        licença que permite que o recurso possa ser utilizado, alterado e
        manipulado sem restrições. Adicionalmente, um recurso aberto pode
        utilizar um formato aberto, um formato de arquivo que permite a fácil
        edição por terceiros. Nenhum controle (como cadastro e senha) deve
        existir para acesso a recursos abertos.
      </p>
      <p>
        <strong>Área de Materiais de Formação</strong>
        <br />
        Nesta área, você acessa livremente materiais completos de formação, como
        cursos já oferecidos pelo MEC e seus parceiros. São conteúdos elaborados
        por equipes multidisciplinares e de autoria de pesquisadores e
        educadores renomados nas áreas.
      </p>
      <p>
        <strong>Área de Coleções de Usuários</strong>
        <br />
        Nesta área, você tem acesso às coleções criadas e organizadas pelos
        usuários da plataforma. É mais uma possibilidade de buscar recursos
        educacionais para sua aula!
      </p>
    </Card>
  );
}

const Card = styled.div`
  margin-bottom: 5px;
  background-color: #fff;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  padding: 30px;
  color: #666;
  span {
    font-size: 14px;
    font-weight: bold;
  }

  p {
    margin: 0 0 10px;
    font-size: 15px;
  }
`;
