/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react';
import styled from 'styled-components';




export default function How(props) {
  return(
    <Card>
      <link href="https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap" rel="stylesheet"/>
      <div style={{marginBottom: "9px"}}>
        <span>{props.title}</span>
      </div>
      <p>
        Você possui um material pedagógico interessante e gostaria de compartilhar 
        com outros professores? Aproveite o espaço da Plataforma MEC para publicar 
        esse Recurso! Para isso, siga os passos a seguir:
      </p>
      <ol>
        <li>Acesse a <a href="/" target="_blank">Página Inicial</a> da Plataforma.</li>
        
        <li>Clique no botão “Publicar Recurso” localizado no topo da página.</li>
        
        <li>
          No quadro pontilhado em azul (enviar recurso), no canto esquerdo da 
          página, você pode escolher o arquivo do seu computador, arrastá-lo ao 
          quadro ou até mesmo enviar o link de um recurso no botão “enviar link” 
          logo abaixo.
        </li>
        
        <li>Em seguida, preencha as informações sobre o recurso no formulário ao lado.</li>
      </ol>
      
      <p>
        Dica: para que outros usuários encontre o seu recurso é muito importante 
        que você preencha o formulário com a maior quantidade de detalhes possível!
      </p>
      <li>No final do formulário é só clicar no botão “Salvar e Avançar” para prosseguir ao próximo passo.</li>
      <li>Ao concluir todas as etapas, você receberá uma mensagem de confirmação do envio do seu Recurso!</li>
      
    </Card>
  );
}

const Card = styled.div`
  margin-bottom: 5px;
  background-color: #fff;
  box-shadow: 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);
  padding: 30px;
  color: #666;
  span {
    font-size: 14px;
    font-weight: bold;
  }
  a {
    color: #00bcd4;
    text-decoration: none;
    :hover {
      text-decoration: underline;
    }
  }

  ol {
    margin-top: 0;
    margin-bottom: 10px;
    line-height: 1.42857143;
  }

  li {
    font-size: 14px;
  }

  p {
    margin: 0 0 10px;
    font-size: 15px;
  }



`