import React from 'react';
import { Link } from 'react-router-dom';
import styled from 'styled-components';
import Paper from '@material-ui/core/Paper';
import Grid from '@material-ui/core/Grid';
import WhiteAreaOfCard from './WhiteAreaOfCard.js';

export default function ResourceCard(props) {

	const getThumb = () => {
		return props.thumb ? 
		`https://api.portalmec.c3sl.ufpr.br${props.thumb}` 
		: require('../../img/laranja/IMAGEM.jpg');

	}

	return(
		<Anchor
			to={'/recurso/'+props.id}
		>
			<CardPaper elevation={3}>
				<Grid container
					direction="row"
					justify="flex-start"
					alignItems="center"
				>
					<Grid item>
						<Img src={getThumb()} />
					</Grid>
					<Grid item>
						<WhiteAreaOfCard name={props.name} likes={props.likes} />
					</Grid>
				</Grid>
			</CardPaper>
		</Anchor>
	);
}

const CardPaper=styled(Paper)`
	width: 312px;
	height: 100px;
	margin-bottom: 15px;
	margin-left: 20px;
	margin-right: 20px;
`
const Img=styled.img`
	height: 100px;
	width: 150px;
`
const Anchor=styled(Link)`
	text-decoration: none !important;
	color: inherit !important;
`
