import React from 'react';
import styled from 'styled-components';
import ImgInfo from '../../img/acesso-a-informacao.png';

export default function SmallFooter(props) {
	return(
		<Wrapper>
		<SecondaryWrapper>
			<ImgDiv>
				<a
					alt="Governo Federal"
					href="http://www.brasil.gov.br/"
					rel="noreferrer"
					target="_blank"
				>
					<Img src={ImgInfo} />
				</a>
			</ImgDiv>
			<TextDiv>
				2017
				<br />
				C3SL-UFPR | FNDE | NUTE-UFSC | MEC.
				<br />
				Todos os direitos reservados.
			</TextDiv>
		</SecondaryWrapper>
		</Wrapper>
	);
}

const Wrapper=styled.div`
	width: 100%;
	background-color: #444;
	color: white;
	padding-top: 30px;
	padding-bottom: 30px;
`
const ImgDiv=styled.div`
	border-right: 2px solid #666;
	padding: 5px;
	display: inline-block;
`
const Img=styled.img`
	width: 100px;
`
const TextDiv=styled.div`
	padding-left: 5px;
	display: inline-block;
	line-height: 12px;
	font-size: 0.7em;
	text-align: center;
`
const SecondaryWrapper=styled.div`
	margin-left: 25px;
	margin-right: 20px;
`
