import React from 'react';
import styled from 'styled-components';
import Grid from '@material-ui/core/Grid';
import OndemandVideoIcon from '@material-ui/icons/OndemandVideo';
import FavoriteIcon from '@material-ui/icons/Favorite';

export default function WhiteAreaOfCard(props) {
	return(
		<Grid container
			style={{height: '90px', width: '150px'}}
			direction="column"
			justify="space-between"
			alignItems="flex-start"
		>
			<Grid item>
				<Title>
					{props.name}
				</Title>	
			</Grid>
			<Grid item>
				<IconsDiv>
					<OndemandVideoIcon />
					<RightFavoriteIcon />
				</IconsDiv>
			</Grid>
		</Grid>
	);
}

const Title=styled.span`
	margin-left: 5px;
	font-size: 14px;
	position: relative;
	top: 0;
	margin-top: 0;
	pading-top: 0;
	color: #666;
	overflow: hidden;
	text-overflow: ellipsis;

	display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
`
const IconsDiv=styled.div`
	margin-left: 5px;
	margin-right: 5px;
	color: #666 !important;
	width: 150px;
	position: relative;
	top: 0;
`
const RightFavoriteIcon=styled(FavoriteIcon)`
	position: absolute;
	right: 0;
`
