/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, {Component} from 'react';
import {Col,Row, Container} from 'react-grid-system';
import { apiUrl } from "../env";
import  axios from "axios";
import mapaBrasil from '../img/mapa-brasil-line-icon.svg';
const brasilStyle={
  backgroundColor: "#00bcd4",
  color: "white",
  textAlign: "center",
  display: "block",
  paddingTop: "10px",
  paddingBottom: "10px"
};
const numberStyle={
  display: "block",
  fontSize: "2.1em",
  fontWeight: "Bold",
  fontFamily: "Roboto, sans-serif",
   textAlign: "center"
};
const statistcStyle={
  display: "inline-block",
  padding: "5px",
  alignSelf:"flex-end"

};
class StatsBar extends Component{
  constructor(props){
    super(props)
    this.state ={
      available_resources: 0,
      month_publications:0,
      month_downloads:0
    }
  }
  componentDidMount(){
    // https://api.portalmec.c3sl.ufpr.br/v1/statistics
    axios.get(`${apiUrl}/statistics`).then((res) => {
      this.setState({available_resources:res.data.count, month_publications:res.data.month_publications, month_downloads:res.data.month_downloads})
    })
  }
     
  render(){
    return(
      <div style={brasilStyle}>
      <Container>
      <Row>
        <Col md={6} sm={6} style={{borderRight:"2px dotted #fff", textAlign: "right", alignSelf: "center"}}>
          <img src={mapaBrasil} height="83px" alt="mapa do brasil"/>
          <span  style={statistcStyle}>
            <span style={numberStyle}>
              {this.state.available_resources}
            </span>
            <span>
              Recursos disponíveis
            </span>
          </span>
        </Col>
        <Col md={6} sm={6} style={{textAlign: "left",
        alignSelf:"center"}}>
            ESSE MÊS:
            <span style={statistcStyle}>
            <span style={numberStyle}>
              {this.state.month_downloads}
            </span>
            Baixados
            </span>
            <span style={statistcStyle}>
            <span style={numberStyle}>
              {this.state.month_publications}
            </span>
            Publicados
          </span>
        </Col>
      </Row>
      </Container>
      </div>
    )
  }
}
export default StatsBar;
