/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/
import React from 'react';
import styled from 'styled-components';
import Grid from '@material-ui/core/Grid';
import Card from '@material-ui/core/Card';
import CardContent from '@material-ui/core/CardContent';

const StoreTitle = styled.h1`
	margin-top: 0;
`

const StoreTopic = styled.h2`
	padding-top: 0.5em;
	font-size: 1em;
	font-weight: 100;
`

const StoreBody = styled.p`
	font-size: 0.8em;
`
export default function ItemStoreContainer (props) {
        return (
					<Grid item xs={10} sm={7}>
						<Card>
							<CardContent>
								<StoreTitle>
									Lojinha
								</StoreTitle>
									<StoreTopic>
										O que são "gemas"?
									</StoreTopic>
										<StoreBody>
											Gemas são moedas virtuais que você ganha usando a plataforma MEC RED (publicando recursos, avaliando recursos, criando conexões, etc) e pode usar para adquirir itens cosméticos para seu perfil, como insígnias e bordas de avatar.
										</StoreBody>
									<StoreTopic>
										Posso usar dinheiro real para comprar gemas?
									</StoreTopic>
										<StoreBody>
											<strong>Não.</strong> Gemas são adquiridas exclusivamente através do uso da plataforma.
										</StoreBody>
									<StoreTopic>
										Qual a vantagem de usar itens?
									</StoreTopic>
										<StoreBody>
											Os itens são uma maneira de mostrar quem você é, quais os seus interesses e quais foram suas contribuições mais importantes. Nenhum item oferece funcionalidade a mais, de maneira que novos usuários não sofram desvantagem.
										</StoreBody>
									<StoreTopic>
										Como usar
									</StoreTopic>
										<StoreBody>
											As seções da loja dividem os itens por <strong>categoria</strong>.
											<ul>
												<li>
													Itens adquiridos <strong>somente por conquistas</strong> não aparecem
													na loja (exceto pelos que você já tem);
												</li>
												<li>
													Outros itens podem ser comprados (usando gemas), usados (usar uma borda de avatar, por exemplo) ou tirados (se estiverem sendo usados).
												</li>
											</ul>
										</StoreBody>
										<h4>
											Boas compras!
										</h4>
							</CardContent>
						</Card>
					</Grid>
        )
}
