import React, { useState, useEffect } from 'react'
import { HeaderGrid, ContainerStyled, Carregados } from '../StyledComponents.js'
import Grid from '@material-ui/core/Grid';
import CollectionCardFunction from '../../CollectionCardFunction.js'
import { ButtonMostrarMaisColecao } from '../PanelComponents/ButtonsArea.js'

export default function TabRecursos(props) {
    const [arr, setArr] = useState([])
    const [colsSlice, setSlice] = useState([])
    const handleSlice = (newArr) => { setSlice(newArr) }

    useEffect(() => {
        setArr(props.collections)
        setSlice(props.collections.slice(0, 4))
    }, [])

    const showMore = (quantity) => {
        var sliceLength = colsSlice.length
        handleSlice(arr.slice(0, sliceLength + quantity))
    }

    return (
        <ContainerStyled style={{ flexDirection: "column" }}>

            <HeaderGrid container>
                <Grid item xs={12}>
                    <h3>Coleções públicas <b style={{ fontWeight: "500" }}>({props.count})</b></h3>
                </Grid>
            </HeaderGrid>

            <Grid container spacing={1} style={{ paddingLeft: "0.5em" }}>
                {
                    colsSlice.map((card) =>
                        <Grid item md={3} xs={12} key={card.id}>
                            <CollectionCardFunction
                                name={card.name}
                                tags={card.tags}
                                rating={card.review_average}
                                id={card.id}
                                author={card.owner.name}
                                description={card.description}
                                thumbnails={card.items_thumbnails}
                                avatar={card.owner.avatar}
                                likeCount={card.likes_count}
                                followed={card.followed}
                                liked={card.liked}
                                collections={card.collection_items}
                                authorID={card.owner.id}
                            />
                        </Grid>
                    )
                }
            </Grid>

            <Carregados>
                <p style={{ margin: "0 0 10px", fontSize: "14px" }}>
                    Carregados {colsSlice.length} de {arr.length}
                </p>

                {
                    props.count > 5 &&
                    <React.Fragment>
                        <ButtonMostrarMaisColecao onClick={() => { showMore(4) }}>
                            <span style={{ color: "#fff", fontSize: "14px", fontWeight: "500" }}>MOSTRAR MAIS 4</span>
                        </ButtonMostrarMaisColecao>

                        <ButtonMostrarMaisColecao onClick={() => { showMore(20) }}>
                            <span style={{ color: "#fff", fontSize: "14px", fontWeight: "500" }}>MOSTRAR MAIS 20</span>
                        </ButtonMostrarMaisColecao>
                    </React.Fragment>
                }

            </Carregados>

        </ContainerStyled>
    )
}
