/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react'
import styled from 'styled-components'
import NoRede1 from '../../../img/no-rede-1.png'
import NoRede2 from '../../../img/no-rede-2.png'
import NoRede3 from '../../../img/no-rede-3.png'
import TabRedeImgDiv from './TabRedeImgDiv.js'
import {WhiteContainer} from '../StyledComponents.js'
import Grid from '@material-ui/core/Grid';

export default function ContainerRedeVazia (props) {
    return (
        <React.Fragment>
            <WhiteContainer>
                <RedeVaziaBoxContainer>
                    <StyledSpan>Você ainda não tem uma rede.
                    <br/>
                    Veja como começar:
                    </StyledSpan>
                    <StyledSpan>
                        <StyledHr/>
                        <Grid container style={{paddingLeft : "30px", paddingRight : "15px"}}>
                                <Grid item md={4} xs={12}>
                                    <TabRedeImgDiv img={NoRede1} text={"Para encontrar um usuário específico, você pode utilizar a barra de busca e selecionar a busca por \"pessoas\""}/>
                                </Grid>

                                <Grid item md={4} xs={12}>
                                    <TabRedeImgDiv img={NoRede2} text={"Você pode começar a seguir uma pessoa clicando no botão \"seguir\" no card (A) ou na página dela (B)"}/>
                                </Grid>

                                <Grid item md={4} xs={12}>
                                    <TabRedeImgDiv img={NoRede3} text={"Pronto! Agora você poderá acompanhar os novos recursos e coleções dessa pessoas na sua página, na aba \"Perfil e Atividades\""}/>
                                </Grid>
                        </Grid>
                    </StyledSpan>
                </RedeVaziaBoxContainer>
            </WhiteContainer>
        </React.Fragment>
    )
}

const StyledHr = styled.hr`
    margin-top : 20px;
    margin-bottom : 20px;
    border : 0;
    border-top: 1px solid #eee;
`

const RedeVaziaBoxContainer = styled.div`
    background-color : #fff;
    padding: 30px;
    padding-right: 30px;
    padding-left: 30px;
    margin-bottom: 30px;
    text-align: center;
    height: 100%;
    padding-left: 0 !important;
    padding-right: 0 !important;
    margin-top: 20px;
}
`
const StyledSpan = styled.span`
    font-weight : lighter;
    margin-top: 0;
    font-family: Roboto;
    font-size: 24px;
    p {
        font-weight : normal;
    }
`
