import React from 'react';
import { withStyles, makeStyles } from '@material-ui/core/styles';
import Table from '@material-ui/core/Table';
import TableBody from '@material-ui/core/TableBody';
import TableCell from '@material-ui/core/TableCell';
import TableContainer from '@material-ui/core/TableContainer';
import TableHead from '@material-ui/core/TableHead';
import TableRow from '@material-ui/core/TableRow';
import Paper from '@material-ui/core/Paper';

const StyledTableCell = withStyles(theme => ({
  head: {
    backgroundColor: '#00bcd4',
    color: '#ffffff',
    fontFamily: 'Roboto',
    fontStyle: 'normal',
    fontWeight: 500,
    fontSize: 15,
    letterSpacing: .01
  },
  body: {
    fontSize: 14,
  },
}))(TableCell);

const StyledTableRow = withStyles(theme => ({
  root: {
    '&:nth-of-type(odd)': {
      backgroundColor: theme.palette.background.default,
    },
  },
}))(TableRow);


const useStyles = makeStyles({
  table: {
    minWidth: 970,
  },
});

export default function CustomizedTables(props) {
  const classes = useStyles();

  const onClick = (row) => {
        const {city_name, id, name, state_name} = row
        props.onClickTable(city_name, id, name, state_name)
  }

  return (
      <>
    <TableContainer component={Paper}>
      <Table className={classes.table} aria-label="customized table">
        <TableHead>
          <TableRow>
            {
                props.columns.map( (column)=>
                <StyledTableCell align="left">{column}</StyledTableCell>
            )
            }
          </TableRow>
        </TableHead>
        <TableBody>
          {props.rows.map(row => (
              <>
              {console.log(row)}
            <StyledTableRow onClick={() => onClick(row)} key={row.id}>
              <StyledTableCell component="th" scope="row">
                {row.id}
              </StyledTableCell>
              <StyledTableCell align="left">{row.name}</StyledTableCell>
              <StyledTableCell align="left">{row.state_name}</StyledTableCell>
              <StyledTableCell align="left">{row.city_name}</StyledTableCell>
            </StyledTableRow>
            </>
          ))}
        </TableBody>
      </Table>
    </TableContainer>
    </>
  );
}
