import React from 'react';
import styled from 'styled-components'
import Grid from '@material-ui/core/Grid';

export default function TopicFooter(props) {
  return (
		<Container>
			<Wrapper>
				<Grid
					container
					direction="row"
					justify="center"
					alignItems="center"
				>
					<Grid item>
						<FormationMaterialImage src={require(`../../public/${props.src}`)}/>
					</Grid>
					<Grid item>
						<Text>
							Este {props.topic_name} faz parte do Material de Formação:
							<br />
							<strong>{props.colecao_name}</strong>
						</Text>
					</Grid>
				</Grid>
			</Wrapper>
		</Container>
  );
}

const Container=styled.div`
		margin-top: 15px;
		background-color: #e81f4f;
		height: auto;
		padding: 0;
`
const FormationMaterialImage=styled.img`
	width: 300px;
	margin-right: 20px;
`
const Text=styled.h2`
	font-weight: 100;	
	text-align: center;
	color: #fff;
`
const Wrapper=styled.div`
		margin-right : auto;
		margin-left : auto;

		@media screen and (max-width: 768px) {
				width : 100% !important;
		}
		@media screen and (min-width: 992px) {
				width : 770px;
		}
		@media screen and (min-width: 1200px) {
				width : 970px !important;
		}
`
