/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, {useState} from 'react'
import ModalCancelar from './ModalCancelar.js'
import { GreyButton, OrangeButton } from './StyledComponents';
import Grid from '@material-ui/core/Grid';
import {Redirect} from 'react-router-dom'
export default function ButtonsDiv (props) {
    const [modalCancelar, toggleModalCancelar] = useState(false)
    const [redirectTrue, toggleRedirect] = useState(false)
    return (
        <>
        <ModalCancelar
             open={modalCancelar}
             handleClose={() => {toggleModalCancelar(false)}}
             draftID={props.draftID}
             />

         {
             redirectTrue &&
             <Redirect to="/"/>
         }
         <Grid container justify="center">

             {/*botao excluir na pagina de editar*/}
            <Grid item md={2} xs={6}>
                <GreyButton onClick={() => {toggleModalCancelar(true)}}>
                    <span className="button-text">
                    CANCELAR
                    </span>
                </GreyButton>
            </Grid>

            {
                props.onPartTwo &&
                <Grid item md={2} xs={6}>
                    <GreyButton onClick={() => {props.stepperControl(-1)}}>
                        <span className="button-text">
                        VOLTAR
                        </span>
                    </GreyButton>
                </Grid>
            }

            <Grid item md={4} xs={12}>
                <GreyButton onClick={() => {if(window.confirm('O seu recurso em edição foi salvo.')) toggleRedirect(true)}}>
                    <span className="button-text">
                    CONTINUAR MAIS TARDE
                    </span>
                </GreyButton>
            </Grid>

            <Grid item md={4} xs={12}>
                <OrangeButton type="submit">
                SALVAR E AVANÇAR
                </OrangeButton>
            </Grid>
        </Grid>
        </>
    )
}
