/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, {useState, memo} from 'react'
import FormControl from '@material-ui/core/FormControl';
import {StyledTextField, StyledFormLabel} from '../StyledComponents.js'

function SobreORecurso (props) {
    const [objDescription, setDescription] = useState(props.initialValue ? props.initialValue : '')
    const handleSetDescription = (event) => {setDescription(event.target.value)}


    return (
        <FormControl style={{width : "100%"}}>
            <StyledFormLabel component="legend" style={{fontSize : "14px", marginBottom : "10px"}}>
                <b>Descrição geral do Recurso</b> (Opcional)
            </StyledFormLabel>
            <StyledTextField
                id = {"description-form"}
                placeholder={"Quais assuntos são contemplados neste Recurso? Para quais objetivos este  Recurso pode ser destinado?"}
                type = {"text"}
                value={objDescription}
                onChange={handleSetDescription}
                fullWidth
                multiline
                rows={5}
                onBlur={() => {props.onBlurCallback("description", objDescription, props.draftID)}}
            />
        </FormControl>
    )
}

export default memo(SobreORecurso);
