/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, {useState} from 'react'
import FormControl from '@material-ui/core/FormControl';
import {StyledFormLabel} from '../StyledComponents.js'
import Checkbox from '@material-ui/core/Checkbox';
import FormGroup from '@material-ui/core/FormGroup';
import FormControlLabel from '@material-ui/core/FormControlLabel';
import styled from 'styled-components'

export default function EducationalStage (props) {

    const [selected, setSelect] = useState(props.initialValue ? props.initialValue : [])
    const handleSet = (event) => {
        let newValue = event.target.value

        if(selected.indexOf(newValue) > - 1) {
            setSelect(selected.filter(item => item !== newValue))
        }
        else {
            setSelect(selected => [...selected, event.target.value])
        }
    }

    return (
        <FormControl required style={{minWidth : "30%"}}>
            <StyledFormLabel component="legend" style={{fontSize : "14px", marginBottom : "10px"}}>
                <b>Nível de ensino</b> <span style={{color : "#a5a5a5"}}>(Selecione uma ou mais opções)</span>
            </StyledFormLabel>
            <StyledFormGroup onBlur={() => {props.onBlurCallback("educational_stages", selected, props.draftID)}}>
                {
                    props.eduStages.map(stage =>
                        <FormControlLabel key={stage.id} label={stage.name}
                            control={<Checkbox checked={selected.indexOf(String(stage.id)) > - 1} value={stage.id} onChange={handleSet}/>}/>
                    )
                }
            </StyledFormGroup>
        </FormControl>

    )
}

const StyledFormGroup = styled(FormGroup)`
    .MuiCheckbox-colorSecondary.Mui-checked {
        color : #00bcd4 !important;
    }
`
