/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/
import React, {useContext} from 'react';
import { Store } from '../../Store.js';
import CheckDecagram from '../../img/check-decagram-gray.svg'

export default function SubmitterStatus (props) {
    const {state} = useContext(Store)

    let text;
    switch (state.currentUser.submitter_request) {
        case 'requested':
            text = "Verificando cadastro de professor(a)"
            break;
        case 'accepted':
            text = "Professor(a)"
            break;
        default:
            text = "Você é professor(a) e gostaria de publicar recursos?"
    }

    return (
        <React.Fragment>
            <p style={{fontSize:"15px", lineHeight:"22px", textAlign:"left", margin:"0 0 10px"}}>
                <span style={{cursor:"pointer"}}>
                                <span style={{paddingRight:"5px"}}>
                                    <img src={CheckDecagram} alt='check icon'/>
                                </span>
                                {text}
                                <span style={{color:"#00bcd4"}}> SAIBA MAIS</span>
                </span>
            </p>
        </React.Fragment>
    )

}
