/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.
Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react';
import styled from 'styled-components';
import colecoes_obj from '../Components/FormationMaterialsResources/formationMaterials.js';
import IframeOverlay from '../Components/IframeOverlay.js';

export default function FormationMaterialIframe(props) {
	const colecao = props.location.pathname === "/colecao";
	const colecoes = colecoes_obj();

	const colecao_id = Number(
		colecao ? 
			props.location.search.split('=')[1]
			: props.location.search.split('&')[0].split('=')[1]
		);
	const topico_id = Number(colecao ? 0 : props.location.search.split('&')[1].split('=')[1]);

	const colecao_obj = ((id) => {
		for (const c in colecoes) {
			if (id === colecoes[c].id)
				return colecoes[c];
		}
	})(colecao_id);

	const topico_obj = ((id) => {
		for (const t in colecao_obj.topics) {
			if (id === colecao_obj.topics[t].id)
				return colecao_obj.topics[t];
		}
	})(topico_id);

	return (
		<div>
			<StyledIframe src={topico_obj.url}
			/>
			<IframeOverlay tag={colecao_obj.tags[0].name}/>
		</div>
	);
}

const StyledIframe=styled.iframe`
	width: 98.9vw;
	height: 83.5vh;
	min-height: 300px;
`
