/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/
import React from 'react';
import styled from 'styled-components'
import { Link } from "react-router-dom";
import Breadcrumbs from "@material-ui/core/Breadcrumbs";


const titulo ={
  fontFamily: "Roboto, sans-serif",
  marginTop: "0",
  fontSize: "26px",
  fontWeight: "300",
  marginBottom: "10px",
  color: "#666"
}
const subtitulo ={
  fontFamily: "Roboto, sans-serif",
  marginTop: "40px",
  fontWeight:"500",
  fontSize:"16px",
  color: "#00bcd4"

}
const item={
  fontFamily: "Roboto, sans-serif",
  textDecoration: "none",
  display:"block",
  fontSize:"15px",
  color: "#333",
  fontWeight:"300",
  paddingBottom: "5px"
}
const linha={
  margin: "15px 0",
  borderTop: "2px solid #00bcd4",
  borderBottom:"none"
}

const paper ={
  padding: "30px 30px 100px 30px",
  backgroundColor: "#fff",
  boxShadow: "0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24)",
  maxWidth:"1170px",
  margin: "30px auto",
  marginBottom:"0",
  display: "flex",
  flexDirection:"column",
  boxSizing: "border-box"
}

const cards={
  display:"flex",
  flexDirection:"row"
}

const card = {
  padding:"0 15px",
  width:"25%"
}

const breadCrumbs={
  padding: "10px",
  display: "flex",
  margin: "0 auto",
  width:"1170px"
}
const StyledBreadCrumbs = styled(Breadcrumbs)`
  display: flex;
  justify-content: flex-start;
  max-width: 1170px;
  span {
    color: #a5a5a5;
    font-size: 14px;
  }
  a {
    color: #00bcd4;
    text-decoration: none;
    font-size: 14px;
  }
`;

export default function SiteMap (props) {
  return (
    <div style={{ padding:"0 0 30px 0",backgroundColor :"#f4f4f4"}}>

      <div style={breadCrumbs}>
        <StyledBreadCrumbs>
          <Link to="/">Página Inicial</Link>
          <span>Mapa do site</span>

        </StyledBreadCrumbs>
      </div>
      <link href="https://fonts.googleapis.com/css?family=Roboto:300;500&display=swap" rel="stylesheet"/>
      <div style={paper}>
        <h3 style={titulo}>Mapa do site</h3>
        <div style={cards}>
          <div style={card}>
            <h3 style={subtitulo}>Sobre</h3>
            <hr style={linha} />
            <a style={item} href="sobre">Sobre a Plataforma</a>
            <a style={item} href="sobre#portaisparceiros">Portais Parceiros</a>
            <a style={item} href="termos">Termos de Uso</a>
            <a style={item} href="contato">Contato</a>
          </div>
          <div style={card}>
            <h3 style={subtitulo}>Ajuda</h3>
            <hr style={linha} />
            <a style={item} href="ajuda">Central de Ajuda</a>
            <Link
                  style={item}
                  to={{
                  pathname: "plataforma-mec",

                  state: { value: "0" }
                  }}
                > O que é a Plataforma MEC</Link>
            <Link
                  style={item}
                  to={{
                  pathname: "publicando-recurso",
                  state: { value: "0" }
                  }}
            > Publicando Recurso
            </Link>

            <Link
                  style={item}
                  to={{
                  pathname: "encontrando-recurso",
                  state: { value: "0" }
                  }}
            > Encontrando Recurso
            </Link>
            <Link
                  style={item}
                  to={{
                  pathname: "/participando-da-rede",

                  state: { value: "0" }
                  }}
            > Participando da Rede
            </Link>
            <Link
                  style={item}
                  to={{
                  pathname: "gerenciando-conta",

                  state: { value: "0" }
                  }}
            > Gerenciando a conta
            </Link>
          </div>

          <div style={card}>
            <h3 style={subtitulo}>Acessibilidade</h3>
            <hr style={linha} />
            <a style={item} href="acessibilidade">Acessibilidade</a>
          </div>
          <div style={card}>
            <h3 style={subtitulo}>Área do Usuário</h3>
            <hr style={linha} />
            <a style={item} href="/perfil">Perfil e Atividades</a>
            <a style={item} href="perfil">Recursos Publicados</a>
            <a style={item} href="/perfil">Favoritos</a>
            <a style={item} href="perfil">Coleções</a>
            <a style={item} href="/perfil">Rede</a>
          </div>
        </div>
      </div>
    </div>
  );
}
